%define nagios_bname nagios
%define nagios_bver 1.0
%define realname nrpe
%define nagios_plugdir %_libdir/nagios/plugins
%define nagios_confdir %_sysconfdir/nagios
%define plugin_docdir %_docdir/%nagios_bname-%nagios_bver/plug-ins
%define nagios_usr nagios
%define nagios_grp nagios

Name: %nagios_bname-%realname
Version: 1.8
Release: alt1

Summary: NRPE -- Nagios(R) Remote Plug-ins Execution daemon.
Summary(ru_RU.KOI8-R): NRPE --    Nagios(R)   .
License: GPL
Group: Monitoring
URL: http://www.nagios.org
###########################################
# Relations with other POP3/IMAP server pkgs (like courier-imap)

# Provide the abstract service names (which are virtual pkg names),
# specify their origin (our pkg name as the epoch + version-release):
Provides: nagios-daemon = %name:%version-%release

# Conflict with all other real pkgs which provide the same services
# (they should specify the origin the same way, so the epoch-version-release
# of the virtual pkgs POP3D & IMAPD will always differ from that of ours if
# they are provided by a different real pkg):
Conflicts: nagios-daemon < %name:%version-%release
Conflicts: nagios-daemon > %name:%version-%release

# End of the statements to describe relations with other POP3/IMAP server pkgs
########################################
Requires: nagios-plugins

Source0: %realname-%version.tar.gz

# compile warnings cleanup
Patch0: %realname-1.8-alt-warnings.patch

# fix default NRPE configuration
Patch1: %realname-1.8-alt-config.patch

Prefix: %prefix

%package -n %nagios_bname-plugins-%realname
Summary: Nagios(R) plug-in for NRPE.
Summary(ru_RU.KOI8-R):   Nagios(R),    NRPE.
License: GPL
Group: Monitoring
PreReq: nagios-plugins

%description
The %name packages contains the Nagios(R) Remote Plug-ins Executor
-- daemon which can execute predefined commands on the remote host.
Execution request is send via check_nrpe Nagios(R) plug-in. Allowed
monitoring commands are described in the daemon configuration file.

Install the %name package if you want accept and procedd requests
from check_nrpe on this hosts.

%description -l ru_RU.KOI8-R
NRPE --      Nagios(R)  
.   Nagios(R)    NRPE  
  check_nrpe.     
 .

  ,        
   Nagios(R).

%description -n %nagios_bname-plugins-%realname
Plug-in for Nagios(R) monitoring system. With this plug-in you can send check
request to remote host, with installed NRPE, and process result of execution
as host or service state.

%description -l ru_RU.KOI8-R -n %nagios_bname-plugins-%realname
     Nagios(R).  
         
 NRPE.

%prep
%setup -n %realname-%version

%patch0 -p1
%patch1 -p1

%build
%configure \
	--libexecdir=%nagios_plugdir \
	--with-nrpe-user=%nagios_usr \
	--with-nrpe-grp=%nagios_grp \
	--with-nrpe-port=65534

%__make

%install

%__mkdir_p %buildroot/%nagios_confdir

%__mkdir_p %buildroot/%_sbindir
%__mkdir_p %buildroot/%nagios_plugdir
%__mkdir_p %buildroot/%plugin_docdir

# install binaries
%__install -m 0711 src/nrpe %buildroot/%_sbindir
%__install -m 0711 src/check_nrpe %buildroot/%nagios_plugdir

# install config
%__install -m 0644 nrpe.cfg %buildroot/%nagios_confdir

# install sample init-script and xinetd config file
%__install -m 644 init-script %buildroot/%plugin_docdir/nrpe.init
%__install -m 644 nrpe.xinetd %buildroot/%plugin_docdir/nrpe.xinetd

# install docs
for d in Changelog LEGAL README ; do
	%__install -m 0644 $d %buildroot/%plugin_docdir/$d.%realname
done

%files
%dir %nagios_confdir
%nagios_confdir/nrpe.cfg
%_sbindir/nrpe
%doc %plugin_docdir/*

%files -n %nagios_bname-plugins-%realname
%dir %nagios_plugdir
%nagios_plugdir/check_nrpe
%doc %plugin_docdir/*

%changelog
* Sun Mar 30 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.8-alt1
- inital package for ALT Linux
